summaryrefslogtreecommitdiff
path: root/recipes-graphics/wayland-app-launch/wayland-app-launch
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-graphics/wayland-app-launch/wayland-app-launch')
-rw-r--r--recipes-graphics/wayland-app-launch/wayland-app-launch/wayland-app-launch.service11
-rw-r--r--recipes-graphics/wayland-app-launch/wayland-app-launch/wayland-app-launch.sh.in14
2 files changed, 25 insertions, 0 deletions
diff --git a/recipes-graphics/wayland-app-launch/wayland-app-launch/wayland-app-launch.service b/recipes-graphics/wayland-app-launch/wayland-app-launch/wayland-app-launch.service
new file mode 100644
index 0000000..d41615b
--- /dev/null
+++ b/recipes-graphics/wayland-app-launch/wayland-app-launch/wayland-app-launch.service
@@ -0,0 +1,11 @@
+[Unit]
+Description=Start a wayland application
+After=weston.service
+Requires=weston.service
+
+[Service]
+Type=forking
+ExecStart=/usr/bin/wayland-app-launch.sh
+
+[Install]
+WantedBy=multi-user.target
diff --git a/recipes-graphics/wayland-app-launch/wayland-app-launch/wayland-app-launch.sh.in b/recipes-graphics/wayland-app-launch/wayland-app-launch/wayland-app-launch.sh.in
new file mode 100644
index 0000000..411184b
--- /dev/null
+++ b/recipes-graphics/wayland-app-launch/wayland-app-launch/wayland-app-launch.sh.in
@@ -0,0 +1,14 @@
+#!/bin/sh
+if test -z "$XDG_RUNTIME_DIR"; then
+ export XDG_RUNTIME_DIR=/run/user/`id -u`
+ if ! test -d "$XDG_RUNTIME_DIR"; then
+ mkdir --parents $XDG_RUNTIME_DIR
+ chmod 0700 $XDG_RUNTIME_DIR
+ fi
+fi
+
+# wait for weston
+while [ ! -e $XDG_RUNTIME_DIR/wayland-0 ] ; do sleep 0.1; done
+sleep 0.5
+
+@@wayland-application@@